QGIS Application - Bug report #7121
Problem in displaying GRASS raster
2013-02-08 02:49 AM - Moreno Comelli

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 16192
Description

When calculating an interpolation from a text file dataset using the r.in.xyz GRASS module, the raster is correctly created, but not properly
displayed in QGIS 1.8 (on Windows XP/7).

Clicking on it using the info tool, returned data don't match the drown object, and the shape changes depending on zoom.

In the image second_zoom.png, you can see the cells are not displayed as squares.

When using a higher zoom, an error message appear:

5744736 bytes expected but 2284000 byte were read from qgis.d.rast

History

#1 - 2013-02-08 02:53 AM - Giovanni Manghi
- Status changed from Open to Feedback

please try qgis master, it should be fixed.

#2 - 2013-02-08 02:53 AM - Giovanni Manghi

- Affected QGIS version changed from master to 1.8.0

#3 - 2013-02-08 05:39 AM - Moreno Comelli

Same problems with QGIS 1.8 on Fedora 17.

#4 - 2013-02-13 05:05 AM - Moreno Comelli

With QGIS 1.9 it's ok.

#5 - 2013-02-13 11:53 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Feedback to Closed

yes, it was fixed in qgis master.
